

#include "main.h"
#include "mpu6050.h"
#include "inv_mpu.h"
#include "inv_mpu_dmp_motion_driver.h" 
#include <math.h>

#define q30  1073741824.0f
#define PI    						(3.1415926f)

#define CENTRAL_DISPLAY_X			(90)	
#define CENTRAL_DISPLAY_Y			(38)	
#define ALLNUM 	450    // һ500
int num1=450,num2;  //


//mode 0  1 
void get_shang(uint8_t mode, uint8_t* x1, uint8_t* y1, uint8_t* x2, uint8_t* y2, uint8_t* x3, uint8_t* y3)
{
	float a,b;
	if(mode)
	{
		b=sqrt(num1*2); //a  b   1:2 (δʱ)   num
		if(b>=20)b=20;// (ʱ)
		a=num1/b;
		*x1= 100; *y1= a+5; 
		*x2= *x1-b; *y2= 5; 
		*x3= *x1+b; *y3= 5;
		
		
		OLED_DrawLine(100,30,*x1,*y1,1);
	}
	else
	{
		b=sqrt(num1*0.8); //a  b   5:4   num
		a=num1/b;
		*x1= 100; *y1= 30; 
		*x2= *x1-b; *y2= *y1-a; 
		*x3= *x1+b; *y3= *y1-a; 
	}
	
}
void get_xia(uint8_t mode, uint8_t* x1, uint8_t* y1, uint8_t* x2, uint8_t* y2, uint8_t* x3, uint8_t* y3)
{
	float a,b;
	if(mode)
	{
		b=sqrt(num2*2); //a  b   1:2 (δʱ)   num
		if(b>=20)b=20;// (ʱ)
		a=num2/b;
		*x1= 100; *y1= 55-a; 
		*x2= *x1-b; *y2= 55; 
		*x3= *x1+b; *y3= 55;
		
		
		OLED_DrawLine(100,30,*x1,*y1,1);
	}
	else
	{
		b=sqrt(num2*0.8); //a  b   5:4   num
		a=num2/b;
		*x1= 100; *y1= 30; 
		*x2= *x1-b; *y2= *y1+a; 
		*x3= *x1+b; *y3= *y1+a; 
	}
	 
}


void P_page2(void)
{
	static uint8_t x1,x2,x3,x4,x5,x6,y1,y2,y3,y4,y5,y6;
	
	float a=0,b,c;
			
			static state=0;
	
			//OLDEݣˢ
			OLED_Clear();
			
	
	
	
	
		
				
			
			//ô˺ֹ˸	
			OLED_ShowString(0,1,(const u8 *)" ",12);
			
			//ŷǲʾOled
			OLED_ShowString(0,0,(const u8 *)"pitch",12);
			OLED_ShowFloat(30,0,pitch,2,12);
			OLED_ShowString(0,10,(const u8 *)"roll",12);
			OLED_ShowFloat(30,10,roll,2,12);
			OLED_ShowString(0,20,(const u8 *)"yaw",12);
			OLED_ShowFloat(30,20,yaw,2,12);
		
			a=aacx/q30*100000;				
			b=aacy/q30*100000;
			c=aacz/q30*100000;
			OLED_ShowString(0,30,"x",12);
			OLED_ShowFloat(20,30,a,4,12);
			OLED_ShowString(0,41,"y",12);
			OLED_ShowFloat(20,41,b,4,12);
			OLED_ShowString(0,52,(const u8 *)"z",12);
			OLED_ShowFloat(20,52,c,4,12);
		
//			DrawTriangle(80, 5, 120, 5, 100, 30);
//			DrawTriangle(80, 55, 120, 55, 100, 30);
			DrawTriangle(79, 4, 121, 4, 100, 31);
			DrawTriangle(79, 56, 121, 56, 100, 29);
			
			
			
			OLED_DrawLine(79,4,95,30,1);
			OLED_DrawLine(79,56,95,30,1);
			OLED_DrawLine(121,4,105,30,1);
			OLED_DrawLine(121,56,105,30,1);
			
			
			if(c>0.2)
			{
					
				if(num1>1)
					num1--;
				num2 =ALLNUM-num1;
				get_shang(0, &x1, &y1, &x2, &y2, &x3, &y3);
				get_xia(1,&x4, &y4, &x5,&y5, &x6, &y6);
			}
			if(c<-0.2)
			{
					
				if(num2>1)
					num2--;
				num1 =ALLNUM-num2;
				get_shang(1,&x1, &y1, &x2, &y2, &x3, &y3);
				get_xia(0,&x4, &y4, &x5,&y5, &x6, &y6);
			}
			
			DrawFillTriangle(x1, y1, x2, y2, x3, y3);
			DrawFillTriangle(x4, y4, x5, y5, x6, y6);

			//OLDEݲˢ
			OLED_Refresh_Gram();		
		}

