#include "Key_Menu.h"
#include "main.h"
#include "mpu6050.h"
#include "inv_mpu.h"
#include "inv_mpu_dmp_motion_driver.h" 
extern void P_page1(void);

#define q30  1073741824.0f

#define ReadKey() ((GPIOA->PID) & (GPIO_PIN_5|GPIO_PIN_6|GPIO_PIN_7))>>(5)
#define CleanKey() ((GPIOA->PID) | ~(GPIO_PIN_5|GPIO_PIN_6|GPIO_PIN_7))

PPage Page_num=PAGE_2;
PPage Page_num_last=PAGE_2;

void Key_Meun()
{
		
	float a=0,b,c;
	int state=0;

	int x =ReadKey();
	
	a=aacx/q30*100000;				
	b=aacy/q30*100000;
	
	c=aacz/q30*100000;
	
	if(a>1)
	{
		if(b>0.45)state=1;
		else if(b<-0.45)state=2;
		else if(c>0.45)state=3;
		else if(c<-0.45)state=4;
		else state=0;

	
	}
	switch(state)
	{
		case 0:
			break;
		case 1:
			break;
		case 2:
			break;
		case 3:
			break;
		case 4:
			break;
		
		
	}
	switch(x)
	{
		case k_no:
			break;
		case k1:
			break;
		case k2:
			break;
		case k12:
			break;
		case k3:
			break;
		case k13:
			break;
		case k23:
			break;
		case k123:
			break;
	
	
	}
	
	
	
	
	switch(Page_num)
	{
		case PAGE_init:
			break;
		case PAGE_Main:
			break;
		case PAGE_1:
			 P_page1();
			break;
		case PAGE_2:
			 P_page2();
			break;
		default:break;
	
	}

}

void Save_Page()
{
	Page_num_last=Page_num;
}
void Regain_Page()
{
	Page_num=Page_num_last;
}
void Go_Page(PPage Page)
{
	Page_num=Page;
}



void key_init()
{
   GPIO_InitType GPIO_InitStructure;

    RCC_AHB_Peripheral_Clock_Enable(RCC_AHB_PERIPH_GPIOA);

    GPIO_Structure_Initialize(&GPIO_InitStructure);
    GPIO_InitStructure.Pin            = GPIO_PIN_5|GPIO_PIN_6|GPIO_PIN_7;
    GPIO_InitStructure.GPIO_Mode      = GPIO_MODE_INPUT;
    GPIO_InitStructure.GPIO_Slew_Rate = GPIO_SLEW_RATE_FAST; 
    GPIO_InitStructure.GPIO_Pull      = GPIO_PULL_UP; 
    GPIO_Peripheral_Initialize(GPIOA, &GPIO_InitStructure);

	GPIO_Pins_Set(GPIOA, GPIO_PIN_6);
}